
I was going through a really rough relationship since I had fallen in love and found out she was addicted to heroin. I tried to get her off the drugs but got hooked myself. I was very wealthy and looked up to in the community. Over about a year, all my vehicles, assets, and savings were gone. My girl just up and left me. By now all my friends and everything I had worked for including my identity were gone. I happened to be giving myself very large doses of heroin, main lining as much as I could get as fast as I could get it. I had already overdosed multiple times within the last month and a half. I figured I'd try to get off the drugs and get my girl back. I hadn't used in three and a half weeks.

I use to have an immortal God-like complex. I had some 'friends' come over with some gun powder heroin. I bought 4 points, .4 which I knew .1 would kill any regular person. My friends were making a fuss about me doing all of my heroin, so I made a deal said I'd do only .2. I did and got the most amazing rush, so nobody was looking when I did the other .2 within a minute of the first hit. The last conscious vision I had was my face heading towards the floor.

At first it was as if I was dreaming. I was very happy and in a relaxed state of mind, somewhat euphoric. It was like I was floating through dark matter, like a fog but not quite like that. I started experiencing a higher sense of awareness, like waking up from a dream but more like coming out of a stupor or blank stare. I was lying on a table made of stone that was light gray in color. But I'm not feeling my body. I only notice my body as I look around; by looking around I mean that it was definitely much wider and broad type of vision than normal. Before I looked around and saw the tables, I was so calm and at peace. I was relaxed, like all my worries, problems and everything was amazingly great. I was like nirvana or an enlightened state of mind. That quickly changed.

Then I'm in a small valley at its lowest point. There's a lot of tables laid out in an organized pattern. Some of the tables are empty and others not. The tables are laid out in all directions up to the horizons or points of vision and further I believe. There were people lying on these tables; some had the bottom of their legs cut off, hands, arms, some had more limbs gone then others. I remember the faces of the closest "people" with their skin of a medium gray-blue shade. Their eyes were really white and just empty colors. Where their limbs were cut, it wasn't dripping or fresh blood. It was burgundy in color like it'd been a while. The people were squirming around crying out in pain and agony. I couldn't hear them even though I was close enough. Their facial expressions, along with everything else, made me very aware. This is where my vision ends or possibly my mind blocked me out.

I hardly remember coming to and feeling cold. I came to find out that nobody could get me to wake from up from my overdose, so all but one person took off because they didn't want to be held accountable. They just left me there dead, weren't going to do anything. It blew my that person's mind when I just snapped to. He swore I was dead, dead, like gone.

I went to the spare room and locked myself in it, eventually fell asleep. I didn't talk much for a couple days and tried not to think about it ever. I started experiencing extreme lucid night terrors and sleep paralysis, that terrorized me up until 5 or 6 months ago. This experience is hard to fathom and even harder to accept. I try to understand and be at peace with the whole sleep paralysis and night terrors considering the fact I'm sure they were dark entities or demons trying to pull something out of my chest. I was waking up into reality two or three times a night. Finally when I was actually waking up, I couldn't breath or speak. I try to sit up fast and it was as if something were pulling me back into my bed. And I don't scare easily. Waking up from the night terrors, I thought I was having a heart attack.
